<?php


namespace Okay\Core;


/**
 * Данный конфиг полезен при рефакторинге классов, когда часть методов была признана устаревшими или
 * при любых других изменениях названий или принадлежностей методов к определённым классам.
 *
 * Каждый элемент массива это ассоциация, которая означает 1 устаревший метод.
 * Первый элемент ассоциации это массив состоящий из класса и названия устаревшего метода.
 * Второй элемент это массив из класса и названия метода, который функционально или по-смыслу схож с устаревшим методом или возвращает данные,
 * аналогичные тем, что возвращал устаревший метод. Вместо нового метода можно указать false если аналога нету.
 *
 * Пример 1:
 * [
 *     [Cart::class, 'getPurchases'], // Ожидается, что данный метод устарел и будет удалён в ближайших версиях
 *     [CartHelper::class, 'buildPurchases'] // Ожидается, что данный метод вызывается в аналогичных сценариях, и передаёт в расширение аналогичные данные
 * ]
 *
 * Пример 2:
 * [
 *     [Cart::class, 'get'], // Ожидается, что данный метод устарел и будет удалён в ближайших версиях
 *     false // Ожидается, что однозначной и полноценной замены данному методу нет и он продолжает использоваться в системе, чаще всего, для обратной совместимости.
 *              Писать для него новые расширения не стоит, а старые необходимо переписать так как он однозначно будет признан устаревшим и удалён в будущем.
 * ]
 */
return [
];
