# Класс Okay\Core\Schedule

Класс предназначен для регистрации задачи в планировщике задач.

Принимает в конструктор задачу, которая может иметь следующий вид:

Вид | Формат | Пример
---|---|---
Команда для выполнения в терминале. | Строка | whoami
Callable объект. Класс может быть как сервисом так и обычным классом. Метод может быть статическим или обычным. | Массив [Class, Method]| [NovaposhtaCost::class, 'parseCitiesToCache']
Анонимная функция | Closure | function (ProductsEntity $productsEntity) {$productsEntity->update(1, ['visible' => 1])}

Аргументы метода или анонимной функции, будут резолвиться автоматически на основании тайп хинтов и дефолтных значений.

### Методы

```php
name(string $name)
```
Метод принимает название задачи

```php
time(string $time)
```
Метод принимает паттерн времени выполнения задачи. Формат времени и правила выполнения аналогичны задачам в CRON.
Примеры:

0 * * * * - Выполнение задачи 1 раз в час в 0 минут

0 0 * * * - Выполнение задачи 1 раз в сутки в 00:00 минут

```php
timeout(int $timeout)
```
Максимальное время выполнения задачи в секундах. По истечению времени задача будет завершена в аварийном режиме.

```php
overlap(bool $value)
```
По-умолчанию допускается выполнение более одного экземпляра задачи. Если вызвать метод и передать false, то одновременно будет выполняться не более 1 экземпляра.